{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/wms/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/wms/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_basic_settings_wms_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">WMS-Layer bearbeiten</span>
        {{ form_widget(wmsLayerForm.save, {'label': 'SPEICHERN', 'id': wmsLayerForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto me-1 align-self-center'}}) }}
        {% include 'component/mdc_context_menu_component.html.twig' with {
            'id': 'wms_layer',
            'listItems': [
                {
                    'label': 'WMS-Layer löschen',
                    'url': path('configuration_basic_settings_wms_delete', {'id': wmsLayer.getId()}),
                    'icon': 'delete_forever'
                },
            ]
        } only %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h2 class="mb-3 fs-3">WMS-Layer bearbeiten</h2>
            <p>
                Sie können hier die Bezeichnung ändern, unter welcher der WMS-Layer den Nutzer:innen in der Karte bei der Ebenenauswahl angezeigt wird.
            </p>
            {{ form_start(wmsLayerForm, {'attr': {'id': wmsLayerForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/basic_settings/wms/wms_layer_form.html.twig' with {'form': wmsLayerForm} only %}
            {{ form_row(wmsLayerForm._token) }}
            {{ form_end(wmsLayerForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
